package com.xiang.xservice.application.script.fwd.service;

import com.xiang.xservice.application.script.fwd.entity.pojo.FPerformConfig;
import com.xiang.xservice.application.script.fwd.entity.pojo.FPerformProjectInfo;
import com.xiang.xservice.application.script.fwd.entity.pojo.FPerformSeatInfo;

import java.util.List;

/**
 * @Author: xiang
 * @Date: 2025-07-25 15:15
 */
public interface IPerformService {

    FPerformProjectInfo getPerformByProjectId(Long projectId);

    List<FPerformSeatInfo> getPerformSeatInfoByProjectId(Long projectId);

    Boolean createProjectOrder(Long projectId, List<Long> frequentIds, String token) throws Exception;

    List<FPerformConfig> getAvailablePerform();

    Boolean updateProjectInfo(FPerformProjectInfo projectInfo);

    FPerformSeatInfo getSeatInfoBySeatId(Long seatId);

    Boolean updateSeatInfo(FPerformSeatInfo seatInfoBySeatId);

    Boolean addSeatInfo(FPerformSeatInfo fPerformSeatInfo);

    Boolean updateTokenByName(String name, String token);
}
